Page MenuHomePhabricator

Add deployment groups
ClosedPublic

Authored by thcipriani on Oct 13 2015, 1:27 AM.

Details

Reviewers
dduvall
mmodell
mobrovac
demon
Commits
rMWTSd52453be1457: Add deployment groups
rMSCAd52453be1457: Add deployment groups
Patch without arc
git checkout -b D16 && curl -L https://phabricator.wikimedia.org/D16?download=true | git apply
Summary

In addition to the dsh_targets config variable, this changes now looks
for multiple [anything]_dsh_targets config variables. This enables
canary_dsh_targets.

All additional deployment groups will be executed before the primary
deployment group (defined by the dsh_targets variable).

Additionally, checks now can be scoped to a specific deployment group
using:

check_name:
    stage: promote
    group: dsh-group-name
    command: touch /tmp/hi-there

The group name is optional in a check. If not group name is specified,
check runs for all deploy groups.

Bug: T113073
Change-Id: I7d1235197356201626a88056fefa344ddf92d2dd

Test Plan

run tox

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

thcipriani updated this revision to Diff 54.Oct 13 2015, 1:27 AM
thcipriani retitled this revision from to Add deployment groups.
thcipriani updated this object.
thcipriani edited the test plan for this revision. (Show Details)
thcipriani added reviewers: mmodell, dduvall, demon, mobrovac.
mobrovac accepted this revision.Oct 13 2015, 7:13 AM
mobrovac edited edge metadata.
This revision is now accepted and ready to land.Oct 13 2015, 7:13 AM
thcipriani updated this revision to Diff 56.Oct 14 2015, 12:50 AM
thcipriani edited edge metadata.

Move server groups from class to OrderedDict

Also, simplifies configuration: rather than have a sorted list of
[x]_dsh_targets, this uses the server_groups scap.cfg setting.

dduvall accepted this revision.Oct 21 2015, 4:46 PM
dduvall edited edge metadata.

Looks great!

mmodell accepted this revision.Oct 21 2015, 11:22 PM
mmodell edited edge metadata.
This revision was automatically updated to reflect the committed changes.